export type SpotifyAlbumTracksResponse = {
  href?: string;
  limit?: number;
  offset?: number;
  total?: number;
  next?: string | null;
  previous?: string | null;
  items?: SpotifyAlbumTrack[];
  error?: SpotifyError;
};

export type SpotifyAlbumTrack = {
  artists: {
    id: string;
    uri: string;
    name: string;
    type: 'artist';
  }[];
  available_markets: string[];
  external_urls: {
    spotify: string;
  };
  href: string;
  name: string;
  type: 'track';
  id: string;
  uri: string;
};

export type SpotifyError = {
  status: number;
  message: string;
};
